# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_9ejnq9e_55/clone/recipe, last modified Thu Aug  4 01:30:00 2022
# ------------------------------------------------

package:
  name: pynacl
  version: 1.4.0
source:
  fn: PyNaCl-1.4.0.tar.gz
  patches:
    - 0001-Fix-name-of-static-sodium-lib.patch
  sha256: 54e9a2c849c742006516ad56a88f5c74bf2ce92c9f67435187c3c5953b346505
  url: https://pypi.io/packages/source/P/PyNaCl/PyNaCl-1.4.0.tar.gz
build:
  number: '2'
  string: py310h1a28f6b_2
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libllvm12 12.0.0 h12f7ac0_4
    - llvm-tools 12.0.0 h12f7ac0_4
    - patch 2.7.6 h1a28f6b_1001
    - tapi 1100.0.11 ha21211d_0
    - zlib 1.2.12 h5a0b063_2
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2022.07.19 hca03da5_0
    - certifi 2022.6.15 py310hca03da5_0
    - cffi 1.15.0 py310h22df2f2_1
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - libsodium 1.0.18 h1a28f6b_0
    - ncurses 6.3 h1a28f6b_3
    - openssl 1.1.1q h1a28f6b_0
    - pip 22.1.2 py310hca03da5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - python 3.10.4 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - setuptools 61.2.0 py310hca03da5_0
    - sqlite 3.39.0 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
  run:
    - cffi >=1.4.1
    - libsodium >=1.0.18,<1.0.19.0a0
    - python >=3.10,<3.11.0a0
    - six
test:
  commands:
    - pytest
  imports:
    - nacl
    - nacl.bindings
    - nacl.pwhash
  requires:
    - hypothesis >=3.27.0
    - pytest >=3.2.1
  source_files:
    - tests/
about:
  description: 'PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
    It supports Python 2.7 and 3.3+ as well as PyPy 2.6+.

    '
  dev_url: https://github.com/pyca/pynacl
  doc_url: https://pynacl.readthedocs.io/en/latest/
  home: https://github.com/pyca/pynacl
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: PyNaCl is a Python binding to the Networking and Cryptography library,
    a crypto library with the stated goal of improving usability, security and speed.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 9eacf8d8-1b6e-4580-9aca-0ec8d7dff25c
  recipe-maintainers:
    - CJ-Wright
  remote_url: git@github.com:AnacondaRecipes/pynacl-feedstock.git
  sha: 009c5fdabacef4d035282e80aca5b02ebbd8575e
